Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1474)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1475)
@@ -128,7 +128,5 @@
   ("TarDecLayerIdSetFile,l",    cfg_TargetDecLayerIdSetFile,           string(""), "targetDecLayerIdSet file name. The file should include white space separated LayerId values to be decoded. Omitting the option or a value of -1 in the file decodes all layers.")
   ("RespectDefDispWindow,w",    m_respectDefDispWindow,                0,          "Only output content inside the default display window\n")
-#if Q0074_COLOUR_REMAPPING_SEI
   ("SEIColourRemappingInfoFilename",  m_colourRemapSEIFileName,        string(""), "Colour Remapping YUV output file name. If empty, no remapping is applied (ignore SEI message)\n")
-#endif
 #if O0043_BEST_EFFORT_DECODING
   ("ForceDecodeBitDepth",       m_forceDecodeBitDepth,                 0U,         "Force the decoder to operate at a particular bit-depth (best effort decoding)")
Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.h
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.h	(revision 1474)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.h	(revision 1475)
@@ -74,7 +74,5 @@
   Int           m_decodedPictureHashSEIEnabled;       ///< Checksum(3)/CRC(2)/MD5(1)/disable(0) acting on decoded picture hash SEI message
   Bool          m_decodedNoDisplaySEIEnabled;         ///< Enable(true)/disable(false) writing only pictures that get displayed based on the no display SEI message
-#if Q0074_COLOUR_REMAPPING_SEI
   std::string   m_colourRemapSEIFileName;             ///< output Colour Remapping file name
-#endif
   std::vector<Int> m_targetDecLayerIdSet;             ///< set of LayerIds to be included in the sub-bitstream extraction process.
   Int           m_respectDefDispWindow;               ///< Only output content inside the default display window
@@ -112,7 +110,5 @@
   , m_decodedPictureHashSEIEnabled(0)
   , m_decodedNoDisplaySEIEnabled(false)
-#if Q0074_COLOUR_REMAPPING_SEI
   , m_colourRemapSEIFileName()
-#endif
   , m_targetDecLayerIdSet()
   , m_respectDefDispWindow(0)
Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1474)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1475)
@@ -62,7 +62,5 @@
 #if SVC_EXTENSION
 TAppDecTop::TAppDecTop()
-#if Q0074_COLOUR_REMAPPING_SEI
 : m_pcSeiColourRemappingInfoPrevious(NULL)
-#endif
 {
   memset( m_apcTDecTop, 0, sizeof(m_apcTDecTop) );
@@ -77,7 +75,5 @@
 TAppDecTop::TAppDecTop()
 : m_iPOCLastDisplay(-MAX_INT)
-#if Q0074_COLOUR_REMAPPING_SEI
  ,m_pcSeiColourRemappingInfoPrevious(NULL)
-#endif
 {
 }
@@ -163,5 +159,4 @@
 #endif
 
-#if Q0074_COLOUR_REMAPPING_SEI
   // clear contents of colour-remap-information-SEI output file
   if (!m_colourRemapSEIFileName.empty())
@@ -174,5 +169,4 @@
     }
   }
-#endif
 
   // main decoder loop
@@ -629,5 +623,4 @@
   m_cTDecTop.destroy();
 #endif
-#if Q0074_COLOUR_REMAPPING_SEI
   if (m_pcSeiColourRemappingInfoPrevious != NULL)
   {
@@ -635,5 +628,4 @@
     m_pcSeiColourRemappingInfoPrevious = NULL;
   }
-#endif
 }
 
@@ -656,5 +648,4 @@
   m_cTDecTop.setForceDecodeBitDepth(m_forceDecodeBitDepth);
 #endif
-
   if (!m_outputDecodedSEIMessagesFilename.empty())
   {
@@ -674,5 +665,4 @@
 #endif
 
-#if Q0074_COLOUR_REMAPPING_SEI
   if (m_pcSeiColourRemappingInfoPrevious != NULL)
   {
@@ -680,5 +670,4 @@
     m_pcSeiColourRemappingInfoPrevious = NULL;
   }
-#endif
 }
 
@@ -911,10 +900,8 @@
         }
 
-#if Q0074_COLOUR_REMAPPING_SEI
         if (!m_colourRemapSEIFileName.empty())
         {
           xOutputColourRemapPic(pcPic);
         }
-#endif
 
         // update POC of display order
@@ -1083,10 +1070,8 @@
         }
 
-#if Q0074_COLOUR_REMAPPING_SEI
         if (!m_colourRemapSEIFileName.empty())
         {
           xOutputColourRemapPic(pcPic);
         }
-#endif
 
         // update POC of display order
@@ -1146,6 +1131,4 @@
   return false;
 }
-
-#if Q0074_COLOUR_REMAPPING_SEI
 
 Void TAppDecTop::xOutputColourRemapPic(TComPic* pcPic)
@@ -1468,5 +1451,4 @@
   }
 }
-#endif
 
 #if ALIGNED_BUMPING
@@ -1491,10 +1473,8 @@
       conf.getWindowBottomOffset()* yScal + defDisp.getWindowBottomOffset() );
 
-#if Q0074_COLOUR_REMAPPING_SEI
     if( !m_colourRemapSEIFileName.empty() )
     {
       xOutputColourRemapPic(pic);
     }
-#endif
   }
   // update POC of display order
Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.h
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.h	(revision 1474)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.h	(revision 1475)
@@ -81,7 +81,5 @@
   std::ofstream                   m_seiMessageFileStream;         ///< Used for outputing SEI messages.
 
-#if Q0074_COLOUR_REMAPPING_SEI
   SEIColourRemappingInfo*         m_pcSeiColourRemappingInfoPrevious;
-#endif
 
 public:
@@ -125,9 +123,8 @@
   Bool  isNaluWithinTargetDecLayerIdSet ( InputNALUnit* nalu ); ///< check whether given Nalu is within targetDecLayerIdSet
 
-#if Q0074_COLOUR_REMAPPING_SEI
 private:
   Void applyColourRemapping(const TComPicYuv& pic, SEIColourRemappingInfo& pCriSEI, const TComSPS &activeSPS);
   Void xOutputColourRemapPic(TComPic* pcPic);
-#endif
+
 #if ALIGNED_BUMPING
   Void checkOutputBeforeDecoding(Int layerIdx);
Index: branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1474)
+++ branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1475)
@@ -773,7 +773,5 @@
 
   Int*    cfg_maxTidIlRefPicsPlus1[MAX_LAYERS]; 
-#if Q0074_COLOUR_REMAPPING_SEI
   string* cfg_colourRemapSEIFileRoot[MAX_LAYERS];
-#endif
   Bool*   cfg_entropyCodingSyncEnabledFlag[MAX_LAYERS];
   Int*    cfg_layerSwitchOffBegin[MAX_LAYERS];
@@ -792,7 +790,5 @@
     cfg_dQPFileName[layer]  = &m_apcLayerCfg[layer]->m_dQPFileName;
     cfg_fQP[layer]          = &m_apcLayerCfg[layer]->m_fQP;
-#if Q0074_COLOUR_REMAPPING_SEI
     cfg_colourRemapSEIFileRoot[layer] = &m_apcLayerCfg[layer]->m_colourRemapSEIFileRoot;
-#endif
     cfg_repFormatIdx[layer]         = &m_apcLayerCfg[layer]->m_repFormatIdx;
     cfg_layerId[layer]              = &m_apcLayerCfg[layer]->m_layerId;
@@ -1072,7 +1068,5 @@
   ("PhaseHorChroma%d",                              cfg_phaseHorChromaPtr,            string(""), m_numLayers, "chroma shift in the horizontal direction used in resampling proces")
   ("PhaseVerChroma%d",                              cfg_phaseVerChromaPtr,            string(""), m_numLayers, "chroma shift in the vertical   direction used in resampling proces")
-#if Q0074_COLOUR_REMAPPING_SEI
   ("SEIColourRemappingInfoFileRoot%d,-cri",         cfg_colourRemapSEIFileRoot,       string(""), m_numLayers, "Colour Remapping Information SEI parameters root file name (wo num ext)")
-#endif
   ("InputBitDepth%d",                                cfg_InputBitDepth[CHANNEL_TYPE_LUMA],     8, m_numLayers, "Bit-depth of input file for layer %d")
   ("InternalBitDepth%d",                             cfg_InternalBitDepth[CHANNEL_TYPE_LUMA],  0, m_numLayers, "Bit-depth the codec operates at. (default:InputBitDepth) for layer %d "
@@ -1460,7 +1454,5 @@
   ("Log2MaxMvLengthVertical",                         m_log2MaxMvLengthVertical,                           15, "Indicate the maximum absolute value of a decoded vertical MV component in quarter-pel luma units")
 #if !SVC_EXTENSION
-#if Q0074_COLOUR_REMAPPING_SEI
   ("SEIColourRemappingInfoFileRoot,-cri",             m_colourRemapSEIFileRoot,                    string(""), "Colour Remapping Information SEI parameters root file name (wo num ext)")
-#endif
 #endif
   ("SEIRecoveryPoint",                                m_recoveryPointSEIEnabled,                        false, "Control generation of recovery point SEI messages")
Index: branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1474)
+++ branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1475)
@@ -458,7 +458,5 @@
   Int       m_log2MaxMvLengthVertical;                        ///< Indicate the maximum absolute value of a decoded vertical MV component in quarter-pel luma units
 #if !SVC_EXTENSION
-#if Q0074_COLOUR_REMAPPING_SEI
   std::string m_colourRemapSEIFileRoot;
-#endif
 #endif
 
Index: branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.h
===================================================================
--- branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 1474)
+++ branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 1475)
@@ -134,7 +134,5 @@
 
   Int       m_repFormatIdx;
-#if Q0074_COLOUR_REMAPPING_SEI
   string    m_colourRemapSEIFileRoot;
-#endif
 
   Int       m_layerSwitchOffBegin;
Index: branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1474)
+++ branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1475)
@@ -509,7 +509,5 @@
     Int&           m_maxTempLayer                               = m_apcLayerCfg[layer]->m_maxTempLayer;
 
-#if Q0074_COLOUR_REMAPPING_SEI
     string&        m_colourRemapSEIFileRoot                     = m_apcLayerCfg[layer]->m_colourRemapSEIFileRoot;
-#endif
 #endif
 
@@ -766,7 +764,5 @@
   m_cTEncTop.setKneeSEIInputKneePoint                             ( m_kneeSEIInputKneePoint );
   m_cTEncTop.setKneeSEIOutputKneePoint                            ( m_kneeSEIOutputKneePoint );
-#if Q0074_COLOUR_REMAPPING_SEI
   m_cTEncTop.setColourRemapInfoSEIFileRoot                        ( m_colourRemapSEIFileRoot );
-#endif
   m_cTEncTop.setMasteringDisplaySEI                               ( m_masteringDisplay );
 
Index: branches/SHM-dev/source/Lib/TLibCommon/SEI.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/SEI.cpp	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibCommon/SEI.cpp	(revision 1475)
@@ -149,7 +149,5 @@
     case SEI::TEMP_MOTION_CONSTRAINED_TILE_SETS:    return "Temporal motion constrained tile sets";
     case SEI::CHROMA_RESAMPLING_FILTER_HINT:        return "Chroma sampling filter hint";
-#if Q0074_COLOUR_REMAPPING_SEI
     case SEI::COLOUR_REMAPPING_INFO:                return "Colour remapping info";
-#endif
 #if SVC_EXTENSION
 #if LAYERS_NOT_PRESENT_SEI
@@ -183,5 +181,4 @@
 }
 
-
 #if SUB_BITSTREAM_PROPERTY_SEI
 SEISubBitstreamProperty::SEISubBitstreamProperty()
Index: branches/SHM-dev/source/Lib/TLibCommon/SEI.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/SEI.h	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibCommon/SEI.h	(revision 1475)
@@ -91,7 +91,5 @@
     CHROMA_RESAMPLING_FILTER_HINT        = 140,
     KNEE_FUNCTION_INFO                   = 141,
-#if Q0074_COLOUR_REMAPPING_SEI
     COLOUR_REMAPPING_INFO                = 142,
-#endif
 #if LAYERS_NOT_PRESENT_SEI
     LAYERS_NOT_PRESENT                   = 160,
@@ -459,5 +457,4 @@
 };
 
-#if Q0074_COLOUR_REMAPPING_SEI
 class SEIColourRemappingInfo : public SEI
 {
@@ -501,5 +498,4 @@
   std::vector<CRIlut> m_postLut[3];
 };
-#endif
 
 class SEIChromaResamplingFilterHint : public SEI
Index: branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1475)
@@ -165,5 +165,4 @@
 #define T0196_SELECTIVE_RDOQ                              1 ///< selective RDOQ
 #define U0040_MODIFIED_WEIGHTEDPREDICTION_WITH_BIPRED_AND_CLIPPING 1
-#define Q0074_COLOUR_REMAPPING_SEI                        1      ///< JCTVC-Q0074, JCTVC-R0344: SEI Colour Remapping Information
 
 // ====================================================================================================================
@@ -378,5 +377,4 @@
 };
 
-#if Q0074_COLOUR_REMAPPING_SEI
 enum MATRIX_COEFFICIENTS // Table E.5 (Matrix coefficients)
 {
@@ -393,5 +391,4 @@
   MATRIX_COEFFICIENTS_BT2020_CONSTANT_LUMINANCE     = 10,
 };
-#endif
 
 enum DeblockEdgeDir
Index: branches/SHM-dev/source/Lib/TLibDecoder/SEIread.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/SEIread.cpp	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibDecoder/SEIread.cpp	(revision 1475)
@@ -308,10 +308,8 @@
       xParseSEIKneeFunctionInfo((SEIKneeFunctionInfo&) *sei, payloadSize, pDecodedMessageOutputStream);
       break;
-#if Q0074_COLOUR_REMAPPING_SEI
     case SEI::COLOUR_REMAPPING_INFO:
       sei = new SEIColourRemappingInfo;
       xParseSEIColourRemappingInfo((SEIColourRemappingInfo&) *sei, payloadSize, pDecodedMessageOutputStream);
       break;
-#endif
     case SEI::MASTERING_DISPLAY_COLOUR_VOLUME:
       sei = new SEIMasteringDisplayColourVolume;
@@ -1335,5 +1333,4 @@
 }
 
-#if Q0074_COLOUR_REMAPPING_SEI
 Void SEIReader::xParseSEIColourRemappingInfo(SEIColourRemappingInfo& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream)
 {
@@ -1424,5 +1421,4 @@
   }
 }
-#endif
 
 Void SEIReader::xParseSEIMasteringDisplayColourVolume(SEIMasteringDisplayColourVolume& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream)
Index: branches/SHM-dev/source/Lib/TLibDecoder/SEIread.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/SEIread.h	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibDecoder/SEIread.h	(revision 1475)
@@ -108,7 +108,5 @@
   Void xParseSEIKneeFunctionInfo              (SEIKneeFunctionInfo& sei,              UInt payloadSize,                     std::ostream *pDecodedMessageOutputStream);
   Void xParseSEIMasteringDisplayColourVolume  (SEIMasteringDisplayColourVolume& sei,  UInt payloadSize,                     std::ostream *pDecodedMessageOutputStream);
-#if Q0074_COLOUR_REMAPPING_SEI
   Void xParseSEIColourRemappingInfo           (SEIColourRemappingInfo& sei,           UInt payloadSize,                     std::ostream *pDecodedMessageOutputStream);
-#endif
 
   Void sei_read_code(std::ostream *pOS, UInt uiLength, UInt& ruiCode, const TChar *pSymbolName);
Index: branches/SHM-dev/source/Lib/TLibEncoder/SEIEncoder.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/SEIEncoder.cpp	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibEncoder/SEIEncoder.cpp	(revision 1475)
@@ -421,5 +421,4 @@
 }
 
-#if Q0074_COLOUR_REMAPPING_SEI
 template <typename T>
 static Void readTokenValue(T            &returnedValue, /// value returned
@@ -593,5 +592,4 @@
   return true;
 }
-#endif
 
 Void SEIEncoder::initSEIChromaResamplingFilterHint(SEIChromaResamplingFilterHint *seiChromaResamplingFilterHint, Int iHorFilterIndex, Int iVerFilterIndex)
Index: branches/SHM-dev/source/Lib/TLibEncoder/SEIEncoder.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/SEIEncoder.h	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibEncoder/SEIEncoder.h	(revision 1475)
@@ -81,7 +81,5 @@
   Void initSEIChromaResamplingFilterHint(SEIChromaResamplingFilterHint *sei, Int iHorFilterIndex, Int iVerFilterIndex);
   Void initSEITimeCode(SEITimeCode *sei);
-#if Q0074_COLOUR_REMAPPING_SEI
   Bool initSEIColourRemappingInfo(SEIColourRemappingInfo *sei, Int currPOC); // returns true on success, false on failure.
-#endif
 
 #if LAYERS_NOT_PRESENT_SEI
Index: branches/SHM-dev/source/Lib/TLibEncoder/SEIwrite.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/SEIwrite.cpp	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibEncoder/SEIwrite.cpp	(revision 1475)
@@ -152,9 +152,7 @@
     xWriteSEIKneeFunctionInfo(*static_cast<const SEIKneeFunctionInfo*>(&sei));
     break;
-#if Q0074_COLOUR_REMAPPING_SEI
   case SEI::COLOUR_REMAPPING_INFO:
     xWriteSEIColourRemappingInfo(*static_cast<const SEIColourRemappingInfo*>(&sei));
     break;
-#endif
   case SEI::MASTERING_DISPLAY_COLOUR_VOLUME:
     xWriteSEIMasteringDisplayColourVolume(*static_cast<const SEIMasteringDisplayColourVolume*>(&sei));
@@ -987,5 +985,4 @@
 }
 
-#if Q0074_COLOUR_REMAPPING_SEI
 Void SEIWriter::xWriteSEIColourRemappingInfo(const SEIColourRemappingInfo& sei)
 {
@@ -1044,5 +1041,4 @@
   }
 }
-#endif
 
 Void SEIWriter::xWriteSEIMasteringDisplayColourVolume(const SEIMasteringDisplayColourVolume& sei)
Index: branches/SHM-dev/source/Lib/TLibEncoder/SEIwrite.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/SEIwrite.h	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibEncoder/SEIwrite.h	(revision 1475)
@@ -89,7 +89,5 @@
   Void xWriteSEIChromaResamplingFilterHint(const SEIChromaResamplingFilterHint& sei);
   Void xWriteSEIKneeFunctionInfo(const SEIKneeFunctionInfo &sei);
-#if Q0074_COLOUR_REMAPPING_SEI
   Void xWriteSEIColourRemappingInfo(const SEIColourRemappingInfo& sei);
-#endif
   Void xWriteSEIMasteringDisplayColourVolume( const SEIMasteringDisplayColourVolume& sei);
 
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1475)
@@ -321,7 +321,5 @@
   Int*      m_kneeSEIInputKneePoint;
   Int*      m_kneeSEIOutputKneePoint;
-#if Q0074_COLOUR_REMAPPING_SEI
   std::string m_colourRemapSEIFileRoot;          ///< SEI Colour Remapping File (initialized from external file)
-#endif
   TComSEIMasteringDisplay m_masteringDisplay;
   //====== Weighted Prediction ========
@@ -486,7 +484,4 @@
 #endif
 #endif //SVC_EXTENSION
-#if Q0074_COLOUR_REMAPPING_SEI
-  string                              m_colourRemapSEIFileName;          ///< SEI Colour Remapping File (initialized from external file)
-#endif
 
 public:
@@ -494,7 +489,4 @@
   : m_tileColumnWidth()
   , m_tileRowHeight()
-#if Q0074_COLOUR_REMAPPING_SEI
-  , m_colourRemapSEIFileName()
-#endif
   {
     m_PCMBitDepth[CHANNEL_TYPE_LUMA]=8;
@@ -910,8 +902,6 @@
   Void  setKneeSEIOutputKneePoint(Int *p)                            { m_kneeSEIOutputKneePoint = p; }
   Int*  getKneeSEIOutputKneePoint()                                  { return m_kneeSEIOutputKneePoint; }
-#if Q0074_COLOUR_REMAPPING_SEI
   Void  setColourRemapInfoSEIFileRoot( const std::string &s )        { m_colourRemapSEIFileRoot = s; }
   const std::string &getColourRemapInfoSEIFileRoot() const           { return m_colourRemapSEIFileRoot; }
-#endif
   Void  setMasteringDisplaySEI(const TComSEIMasteringDisplay &src)   { m_masteringDisplay = src; }
   const TComSEIMasteringDisplay &getMasteringDisplaySEI() const      { return m_masteringDisplay; }
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1474)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1475)
@@ -750,5 +750,4 @@
   }
 
-#if Q0074_COLOUR_REMAPPING_SEI
   // insert one Colour Remapping Info SEI for the picture (if the file exists)
   if (!m_pcCfg->getColourRemapInfoSEIFileRoot().empty())
@@ -766,5 +765,4 @@
     }
   }
-#endif
 
 #if Q0189_TMVP_CONSTRAINTS