Index: branches/SHM-dev/cfg/scalable_rext/depth_scalability_400/CT_Cardiac-Depth_scalability.cfg
===================================================================
--- branches/SHM-dev/cfg/scalable_rext/depth_scalability_400/CT_Cardiac-Depth_scalability.cfg	(revision 1487)
+++ branches/SHM-dev/cfg/scalable_rext/depth_scalability_400/CT_Cardiac-Depth_scalability.cfg	(revision 1487)
@@ -0,0 +1,31 @@
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 4           # Number of frames to be coded
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
+
+#======== File I/O ===============
+InputFile0                    : YOURPATH\CT_Cardiac_512x512_12bit_400.yuv
+FrameRate0                    : 30          # Frame Rate per second
+InputBitDepth0                : 12          # Input bitdepth for layer 0
+InputChromaFormat			  : 400			# Ratio of luminance to chrominance samples
+SourceWidth0                  : 512         # Input  frame width
+SourceHeight0                 : 512         # Input  frame height
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+LayerPTLIndex0                : 1
+
+InputFile1                    : YOURPATH\CT_Cardiac_512x512_12bit_400.yuv
+FrameRate1                    : 30          # Frame Rate per second
+InputBitDepth1                : 12          # Input bitdepth for layer 1
+InputChromaFormat			  : 400			# Ratio of luminance to chrominance samples
+SourceWidth1                  : 512         # Input  frame width
+SourceHeight1                 : 512         # Input  frame height
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
+IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2
Index: branches/SHM-dev/cfg/scalable_rext/depth_scalability_400/encoder_randomaccess_scalable_Monochrome8_12.cfg
===================================================================
--- branches/SHM-dev/cfg/scalable_rext/depth_scalability_400/encoder_randomaccess_scalable_Monochrome8_12.cfg	(revision 1487)
+++ branches/SHM-dev/cfg/scalable_rext/depth_scalability_400/encoder_randomaccess_scalable_Monochrome8_12.cfg	(revision 1487)
@@ -0,0 +1,122 @@
+#======== File I/O =====================
+#BitstreamFile                 : str.bin
+#ReconFile                     : rec.yuv
+
+#======== Profile ================
+NumProfileTierLevel           : 3
+Profile0                      : monochrome  	      # Profile for BL (NOTE01: this profile applies to whole layers but only BL is outputted)
+                                                      #                (NOTE02: this profile has no effect when NonHEVCBase is set to 1)
+Profile1                      : monochrome12          # Profile for BL (NOTE01: this profile applies to HEVC BL only)
+                                                      #                (NOTE02: When NonHEVCBase is set to 1, this profile & associated level should be updated appropriately)
+Profile2                      : scalable-monochrome12 # Scalable profile
+
+#======== Unit definition ================
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+                                            # quadtree-based TU coding (2...6)
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+                                            # quadtree-based TU coding (2...6)
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
+
+#======== Coding Structure =============
+#IntraPeriod                   : 32          # Period of I-Frame ( -1 = only first)
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
+GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
+Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
+Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
+Frame4:  B    1   4        0.68     0            0              1           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
+Frame5:  B    3   4        0.68     0            0              1           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
+Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
+Frame7:  B    5   4        0.68     0            0              1           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
+Frame8:  B    7   4        0.68     0            0              1           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+
+#=========== Motion Search =============
+FastSearch                    : 1           # 0:Full search  1:TZ search
+SearchRange                   : 64          # (0: Search range is a Full frame)
+BipredSearchRange             : 4           # Search range for bi-prediction refinement
+HadamardME                    : 1           # Use of hadamard measure for fractional ME
+FEN                           : 1           # Fast encoder decision
+FDM                           : 1           # Fast Decision for Merge RD cost
+
+#======== Quantization =============
+#QP                            : 32          # Quantization parameter(0-51)
+MaxDeltaQP                    : 0           # CU-based multi-QP optimization
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+DeltaQpRD                     : 0           # Slice-based multi-QP optimization
+RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
+
+#=========== Deblock Filter ============
+LoopFilterOffsetInPPS         : 1           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1 (default) =constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
+
+#=========== Coding Tools =================
+#SAO                           : 1           # Sample adaptive offset  (0: OFF, 1: ON)
+AMP                           : 1           # Asymmetric motion partitions (0: OFF, 1: ON)
+TransformSkip                 : 1           # Transform skipping (0: OFF, 1: ON)
+TransformSkipFast             : 1           # Fast Transform skipping (0: OFF, 1: ON)
+SAOLcuBoundary                : 0           # SAOLcuBoundary using non-deblocked pixels (0: OFF, 1: ON)
+
+#============ Slices ================
+SliceMode                : 0                # 0: Disable all slice options.
+                                            # 1: Enforce maximum number of LCU in an slice,
+                                            # 2: Enforce maximum number of bytes in an 'slice'
+                                            # 3: Enforce maximum number of tiles in a slice
+SliceArgument            : 1500             # Argument for 'SliceMode'.
+                                            # If SliceMode==1 it represents max. SliceGranularity-sized blocks per slice.
+                                            # If SliceMode==2 it represents max. bytes per slice.
+                                            # If SliceMode==3 it represents max. tiles per slice.
+
+LFCrossSliceBoundaryFlag : 1                # In-loop filtering, including ALF and DB, is across or not across slice boundary.
+                                            # 0:not across, 1: across
+
+#============ PCM ================
+PCMEnabledFlag                      : 0                # 0: No PCM mode
+PCMLog2MaxSize                      : 5                # Log2 of maximum PCM block size.
+PCMLog2MinSize                      : 3                # Log2 of minimum PCM block size.
+PCMInputBitDepthFlag                : 1                # 0: PCM bit-depth is internal bit-depth. 1: PCM bit-depth is input bit-depth.
+PCMFilterDisableFlag                : 0                # 0: Enable loop filtering on I_PCM samples. 1: Disable loop filtering on I_PCM samples.
+
+#============ Tiles ================
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
+                                                       # 1: the column and row boundaries are distributed uniformly
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
+
+LFCrossTileBoundaryFlag             : 1                # In-loop filtering is across or not across tile boundary.
+                                                       # 0:not across, 1: across 
+
+#============ WaveFront ================
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                                       # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+
+#=========== Quantization Matrix =================
+#ScalingList                   : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+#ScalingListFile               : scaling_list.txt       # Scaling List file name. If file is not exist, use Default Matrix.
+
+#============ Lossless ================
+TransquantBypassEnableFlag : 0                         # Value of PPS flag.
+CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
+
+#============ Rate Control ======================
+#RateControl                         : 0                # Rate control: enable rate control
+#TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+#KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
+#LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+#RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+#InitialQP                           : 0                # Rate control: initial QP
+#RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
+
+### DO NOT ADD ANYTHING BELOW THIS LINE ###
+### DO NOT DELETE THE EMPTY LINE BELOW ###
+
Index: branches/SHM-dev/cfg/scalable_rext/depth_scalability_400/layers.cfg
===================================================================
--- branches/SHM-dev/cfg/scalable_rext/depth_scalability_400/layers.cfg	(revision 1487)
+++ branches/SHM-dev/cfg/scalable_rext/depth_scalability_400/layers.cfg	(revision 1487)
@@ -0,0 +1,71 @@
+NumLayers                     : 2
+NonHEVCBase                   : 0
+ScalabilityMask1              : 0           # Multiview
+ScalabilityMask2              : 1           # Scalable
+ScalabilityMask3              : 0           # Auxiliary pictures
+AdaptiveResolutionChange      : 0           # Resolution change frame (0: disable)
+SkipPictureAtArcSwitch        : 0           # Code higher layer picture as skip at ARC switching (0: disable (default), 1: enable)
+MaxTidRefPresentFlag          : 1           # max_tid_ref_present_flag (0=not present, 1=present(default))
+CrossLayerPictureTypeAlignFlag: 1           # Picture type alignment across layers
+CrossLayerIrapAlignFlag       : 1           # Align IRAP across layers
+SEIDecodedPictureHash         : 1
+
+#============= LAYER 0 ==================
+InternalBitDepth0			  : 8
+OutputBitDepth0				  : 8
+QP0                           : 22
+MaxTidIlRefPicsPlus10         : 2           # max_tid_il_ref_pics_plus1 for layer0
+#============ Rate Control ==============
+RateControl0                  : 0           # Rate control: enable rate control for layer 0
+TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
+KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
+LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
+RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
+InitialQP0                    : 0           # Rate control: initial QP for layer 0
+RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
+
+#============ WaveFront ================
+WaveFrontSynchro0             : 0           # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                            # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+#=========== Quantization Matrix =================
+ScalingList0                  : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+ScalingListFile0              : scaling_list0.txt      # Scaling List file name. If file is not exist, use Default Matrix.
+                                            
+#============= LAYER 1 ==================
+InternalBitDepth1			  : 12
+OutputBitDepth1				  : 12
+QP1                           : 20
+NumSamplePredRefLayers1       : 1           # number of sample pred reference layers
+SamplePredRefLayerIds1        : 0           # reference layer id
+NumMotionPredRefLayers1       : 1           # number of motion pred reference layers
+MotionPredRefLayerIds1        : 0           # reference layer id
+NumActiveRefLayers1           : 1           # number of active reference layers
+PredLayerIds1                 : 0           # inter-layer prediction layer index within available reference layers
+
+#============ Rate Control ==============
+RateControl1                  : 0           # Rate control: enable rate control for layer 1
+TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
+KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
+LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
+RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
+InitialQP1                    : 0           # Rate control: initial QP for layer 1
+RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
+
+#============ WaveFront ================
+WaveFrontSynchro1             : 0           # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                            # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+#=========== Quantization Matrix =================
+ScalingList1                  : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+ScalingListFile1              : scaling_list1.txt      # Scaling List file name. If file is not exist, use Default Matrix.
+                                            
+NumLayerSets                  : 2           # Include default layer set, value of 0 not allowed
+NumLayerInIdList1             : 2           # 0-th layer set is default, need not specify LayerSetLayerIdList0 or NumLayerInIdList0
+LayerSetLayerIdList1          : 0 1
+
+NumAddLayerSets                      : 0
+NumOutputLayerSets                   : 2           # Include defualt OLS, value of 0 not allowed
+DefaultTargetOutputLayerIdc          : 1
+NumOutputLayersInOutputLayerSet      : 1           # The number of layers in the 0-th OLS should not be specified, 
+# ListOfOutputLayers0 need not be specified
+ListOfOutputLayers1	                 : 1
+ListOfProfileTierLevelOls1           : 1 2
Index: branches/SHM-dev/cfg/scalable_rext/spatial_scalability_444/encoder_randomaccess_scalable_Main_444.cfg
===================================================================
--- branches/SHM-dev/cfg/scalable_rext/spatial_scalability_444/encoder_randomaccess_scalable_Main_444.cfg	(revision 1487)
+++ branches/SHM-dev/cfg/scalable_rext/spatial_scalability_444/encoder_randomaccess_scalable_Main_444.cfg	(revision 1487)
@@ -0,0 +1,125 @@
+#======== File I/O =====================
+#BitstreamFile                 : str.bin
+#ReconFile                     : rec.yuv
+
+#======== Profile ================
+NumProfileTierLevel           : 3
+Profile0                      : main_444  	          # Profile for BL (NOTE01: this profile applies to whole layers but only BL is outputted)
+                                                      #                (NOTE02: this profile has no effect when NonHEVCBase is set to 1)
+Profile1                      : main_444              # Profile for BL (NOTE01: this profile applies to HEVC BL only)
+                                                      #                (NOTE02: When NonHEVCBase is set to 1, this profile & associated level should be updated appropriately)
+Profile2                      : scalable-main_444     # Scalable profile
+
+#======== Unit definition ================
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+                                            # quadtree-based TU coding (2...6)
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+                                            # quadtree-based TU coding (2...6)
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
+
+#======== Coding Structure =============
+#IntraPeriod                   : 32          # Period of I-Frame ( -1 = only first)
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
+GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
+Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
+Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
+Frame4:  B    1   4        0.68     0            0              1           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
+Frame5:  B    3   4        0.68     0            0              1           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
+Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
+Frame7:  B    5   4        0.68     0            0              1           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
+Frame8:  B    7   4        0.68     0            0              1           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+
+#=========== Motion Search =============
+FastSearch                    : 1           # 0:Full search  1:TZ search
+SearchRange                   : 64          # (0: Search range is a Full frame)
+BipredSearchRange             : 4           # Search range for bi-prediction refinement
+HadamardME                    : 1           # Use of hadamard measure for fractional ME
+FEN                           : 1           # Fast encoder decision
+FDM                           : 1           # Fast Decision for Merge RD cost
+
+#======== Quantization =============
+#QP                            : 32          # Quantization parameter(0-51)
+MaxDeltaQP                    : 0           # CU-based multi-QP optimization
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+DeltaQpRD                     : 0           # Slice-based multi-QP optimization
+RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
+
+#=========== Deblock Filter ============
+LoopFilterOffsetInPPS         : 1           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1 (default) =constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
+
+#=========== Misc. ============
+#InternalBitDepth             : 10           # codec operating bit-depth
+
+#=========== Coding Tools =================
+#SAO                           : 1           # Sample adaptive offset  (0: OFF, 1: ON)
+AMP                           : 1           # Asymmetric motion partitions (0: OFF, 1: ON)
+TransformSkip                 : 1           # Transform skipping (0: OFF, 1: ON)
+TransformSkipFast             : 1           # Fast Transform skipping (0: OFF, 1: ON)
+SAOLcuBoundary                : 0           # SAOLcuBoundary using non-deblocked pixels (0: OFF, 1: ON)
+
+#============ Slices ================
+SliceMode                : 0                # 0: Disable all slice options.
+                                            # 1: Enforce maximum number of LCU in an slice,
+                                            # 2: Enforce maximum number of bytes in an 'slice'
+                                            # 3: Enforce maximum number of tiles in a slice
+SliceArgument            : 1500             # Argument for 'SliceMode'.
+                                            # If SliceMode==1 it represents max. SliceGranularity-sized blocks per slice.
+                                            # If SliceMode==2 it represents max. bytes per slice.
+                                            # If SliceMode==3 it represents max. tiles per slice.
+
+LFCrossSliceBoundaryFlag : 1                # In-loop filtering, including ALF and DB, is across or not across slice boundary.
+                                            # 0:not across, 1: across
+
+#============ PCM ================
+PCMEnabledFlag                      : 0                # 0: No PCM mode
+PCMLog2MaxSize                      : 5                # Log2 of maximum PCM block size.
+PCMLog2MinSize                      : 3                # Log2 of minimum PCM block size.
+PCMInputBitDepthFlag                : 1                # 0: PCM bit-depth is internal bit-depth. 1: PCM bit-depth is input bit-depth.
+PCMFilterDisableFlag                : 0                # 0: Enable loop filtering on I_PCM samples. 1: Disable loop filtering on I_PCM samples.
+
+#============ Tiles ================
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
+                                                       # 1: the column and row boundaries are distributed uniformly
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
+
+LFCrossTileBoundaryFlag             : 1                # In-loop filtering is across or not across tile boundary.
+                                                       # 0:not across, 1: across 
+
+#============ WaveFront ================
+#WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                                       # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+
+#=========== Quantization Matrix =================
+#ScalingList                   : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+#ScalingListFile               : scaling_list.txt       # Scaling List file name. If file is not exist, use Default Matrix.
+
+#============ Lossless ================
+TransquantBypassEnableFlag : 0                         # Value of PPS flag.
+CUTransquantBypassFlagForce: 0                         # Force transquant bypass mode, when transquant_bypass_enable_flag is enabled
+
+#============ Rate Control ======================
+#RateControl                         : 0                # Rate control: enable rate control
+#TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+#KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
+#LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+#RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+#InitialQP                           : 0                # Rate control: initial QP
+#RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
+
+### DO NOT ADD ANYTHING BELOW THIS LINE ###
+### DO NOT DELETE THE EMPTY LINE BELOW ###
+
Index: branches/SHM-dev/cfg/scalable_rext/spatial_scalability_444/layers.cfg
===================================================================
--- branches/SHM-dev/cfg/scalable_rext/spatial_scalability_444/layers.cfg	(revision 1487)
+++ branches/SHM-dev/cfg/scalable_rext/spatial_scalability_444/layers.cfg	(revision 1487)
@@ -0,0 +1,67 @@
+NumLayers                     : 2
+NonHEVCBase                   : 0
+ScalabilityMask1              : 0           # Multiview
+ScalabilityMask2              : 1           # Scalable
+ScalabilityMask3              : 0           # Auxiliary pictures
+AdaptiveResolutionChange      : 0           # Resolution change frame (0: disable)
+SkipPictureAtArcSwitch        : 0           # Code higher layer picture as skip at ARC switching (0: disable (default), 1: enable)
+MaxTidRefPresentFlag          : 1           # max_tid_ref_present_flag (0=not present, 1=present(default))
+CrossLayerPictureTypeAlignFlag: 1           # Picture type alignment across layers
+CrossLayerIrapAlignFlag       : 1           # Align IRAP across layers
+SEIDecodedPictureHash         : 1
+
+#============= LAYER 0 ==================
+QP0                           : 22
+MaxTidIlRefPicsPlus10         : 2           # max_tid_il_ref_pics_plus1 for layer0
+#============ Rate Control ==============
+RateControl0                  : 0           # Rate control: enable rate control for layer 0
+TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
+KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
+LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
+RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
+InitialQP0                    : 0           # Rate control: initial QP for layer 0
+RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
+
+#============ WaveFront ================
+WaveFrontSynchro0             : 0           # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                            # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+#=========== Quantization Matrix =================
+ScalingList0                  : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+ScalingListFile0              : scaling_list0.txt      # Scaling List file name. If file is not exist, use Default Matrix.
+                                            
+#============= LAYER 1 ==================
+QP1                           : 20
+NumSamplePredRefLayers1       : 1           # number of sample pred reference layers
+SamplePredRefLayerIds1        : 0           # reference layer id
+NumMotionPredRefLayers1       : 1           # number of motion pred reference layers
+MotionPredRefLayerIds1        : 0           # reference layer id
+NumActiveRefLayers1           : 1           # number of active reference layers
+PredLayerIds1                 : 0           # inter-layer prediction layer index within available reference layers
+
+#============ Rate Control ==============
+RateControl1                  : 0           # Rate control: enable rate control for layer 1
+TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
+KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
+LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
+RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
+InitialQP1                    : 0           # Rate control: initial QP for layer 1
+RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
+
+#============ WaveFront ================
+WaveFrontSynchro1             : 0           # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                            # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+#=========== Quantization Matrix =================
+ScalingList1                  : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+ScalingListFile1              : scaling_list1.txt      # Scaling List file name. If file is not exist, use Default Matrix.
+                                            
+NumLayerSets                  : 2           # Include default layer set, value of 0 not allowed
+NumLayerInIdList1             : 2           # 0-th layer set is default, need not specify LayerSetLayerIdList0 or NumLayerInIdList0
+LayerSetLayerIdList1          : 0 1
+
+NumAddLayerSets                      : 0
+NumOutputLayerSets                   : 2           # Include defualt OLS, value of 0 not allowed
+DefaultTargetOutputLayerIdc          : 1
+NumOutputLayersInOutputLayerSet      : 1           # The number of layers in the 0-th OLS should not be specified, 
+# ListOfOutputLayers0 need not be specified
+ListOfOutputLayers1	                 : 1
+ListOfProfileTierLevelOls1           : 1 2
Index: branches/SHM-dev/cfg/scalable_rext/spatial_scalability_444/sc_viking_Spatial_scalability.cfg
===================================================================
--- branches/SHM-dev/cfg/scalable_rext/spatial_scalability_444/sc_viking_Spatial_scalability.cfg	(revision 1487)
+++ branches/SHM-dev/cfg/scalable_rext/spatial_scalability_444/sc_viking_Spatial_scalability.cfg	(revision 1487)
@@ -0,0 +1,31 @@
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 4           # Number of frames to be coded
+
+Level0                        : 4           # Level of the whole bitstream
+Level1                        : 4           # Level of the base layer
+Level2                        : 4           # Level of the enhancement layer
+
+#======== File I/O ===============
+InputFile0                    : YOURPATH\sc_viking_600x510_30_8bit_300_444.yuv
+FrameRate0                    : 30          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputChromaFormat			  : 444			# Ratio of luminance to chrominance samples
+SourceWidth0                  : 600         # Input  frame width
+SourceHeight0                 : 510         # Input  frame height
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
+IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
+ConformanceMode0              : 1           # conformance mode
+QP0                           : 22
+LayerPTLIndex0                : 1
+
+InputFile1                    : YOURPATH\sc_viking_1280x720_30_8bit_300_444.yuv
+FrameRate1                    : 30          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
+InputChromaFormat			  : 444			# Ratio of luminance to chrominance samples
+SourceWidth1                  : 1280        # Input  frame width
+SourceHeight1                 : 720         # Input  frame height
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
+IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
+ConformanceMode1              : 1           # conformance mode
+QP1                           : 20
+LayerPTLIndex1                : 2