Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1501)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1502)
@@ -328,5 +328,5 @@
       if ( !m_reconFileName[curLayerId].empty() && !openedReconFile[curLayerId] )
       {
-        const BitDepths& bitDepths = m_apcTDecTop[curLayerId]->getParameterSetManager()->getActiveVPS()->getBitDepths( m_apcTDecTop[curLayerId]->getParameterSetManager()->getActiveSPS(), curLayerId );
+        const BitDepths& bitDepths = m_apcTDecTop[curLayerId]->getParameterSetManager()->getActiveSPS()->getBitDepths();
 
         for( UInt channelType = 0; channelType < MAX_NUM_CHANNEL_TYPE; channelType++)
@@ -786,5 +786,5 @@
           if (display)
           {            
-            UInt chromaFormatIdc = pcPic->getSlice(0)->getChromaFormatIdc();
+            UInt chromaFormatIdc = pcPic->getSlice(0)->getSPS()->getChromaFormatIdc();
             Int xScal =  TComSPS::getWinUnitX( chromaFormatIdc ), yScal = TComSPS::getWinUnitY( chromaFormatIdc );
 
@@ -881,5 +881,5 @@
           const Window  defDisp = m_respectDefDispWindow ? pcPic->getDefDisplayWindow() : Window();          
 
-          UInt chromaFormatIdc = pcPic->getSlice(0)->getChromaFormatIdc();
+          UInt chromaFormatIdc = pcPic->getSlice(0)->getSPS()->getChromaFormatIdc();
           Int xScal =  TComSPS::getWinUnitX( chromaFormatIdc ), yScal = TComSPS::getWinUnitY( chromaFormatIdc );
 
@@ -972,5 +972,5 @@
           const Bool isTff = pcPicTop->isTopField();          
 
-          UInt chromaFormatIdc = pcPic->getSlice(0)->getChromaFormatIdc();
+          UInt chromaFormatIdc = pcPic->getSlice(0)->getSPS()->getChromaFormatIdc();
           Int xScal =  TComSPS::getWinUnitX( chromaFormatIdc ), yScal = TComSPS::getWinUnitY( chromaFormatIdc );
 
@@ -1050,5 +1050,5 @@
           const Window  defDisp = m_respectDefDispWindow ? pcPic->getDefDisplayWindow() : Window();          
 
-          UInt chromaFormatIdc = pcPic->getSlice(0)->getChromaFormatIdc();
+          UInt chromaFormatIdc = pcPic->getSlice(0)->getSPS()->getChromaFormatIdc();
           Int xScal =  TComSPS::getWinUnitX( chromaFormatIdc ), yScal = TComSPS::getWinUnitY( chromaFormatIdc );
 
@@ -1472,5 +1472,5 @@
     Int xScal =  1, yScal = 1;
 
-    UInt chromaFormatIdc = pic->getSlice(0)->getChromaFormatIdc();
+    UInt chromaFormatIdc = pic->getSlice(0)->getSPS()->getChromaFormatIdc();
     xScal = TComSPS::getWinUnitX( chromaFormatIdc );
     yScal = TComSPS::getWinUnitY( chromaFormatIdc );
@@ -1701,5 +1701,5 @@
 
         TComPictureHash recon_digest;
-        Int numChar = calcMD5(*pic->getPicYuvRec(), recon_digest, pic->getSlice(0)->getBitDepths());
+        Int numChar = calcMD5(*pic->getPicYuvRec(), recon_digest, pic->getSlice(0)->getSPS()->getBitDepths());
         fprintf(fptr, "%8d%9d    MD5:%s\n", pic->getLayerId(), pic->getSlice(0)->getPOC(), hashToString(recon_digest, numChar).c_str());
         fclose(fptr);
@@ -1729,7 +1729,6 @@
         strcpy(tempFileName, this->getDecodedYuvLayerFileName( layerId ).c_str());
 
-        const TComVPS *vps = m_apcTDecTop[layerId]->getParameterSetManager()->getActiveVPS();
         const TComSPS *sps = m_apcTDecTop[layerId]->getParameterSetManager()->getActiveSPS();
-        const BitDepths &bitDpeths = vps->getBitDepths(sps, layerId);
+        const BitDepths &bitDpeths = sps->getBitDepths();
         Int bitDepth[] = {bitDpeths.recon[CHANNEL_TYPE_LUMA], bitDpeths.recon[CHANNEL_TYPE_CHROMA]};
 
@@ -1746,5 +1745,5 @@
         Int xScal = 1, yScal = 1;
   
-        UInt chromaFormatIdc = checkPic.getSlice(0)->getChromaFormatIdc();
+        UInt chromaFormatIdc = checkPic.getSlice(0)->getSPS()->getChromaFormatIdc();
         xScal = TComSPS::getWinUnitX( chromaFormatIdc );
         yScal = TComSPS::getWinUnitY( chromaFormatIdc );
Index: branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1501)
+++ branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1502)
@@ -140,5 +140,5 @@
 
 #if FORMATIDX_CHECK
-    for( Int compareLayer = 0; compareLayer < layer; compareLayer++ )
+    for(Int compareLayer = 0; compareLayer < layer; compareLayer++ )
     {
       if(m_apcLayerCfg[layer]->m_repFormatIdx == m_apcLayerCfg[compareLayer]->m_repFormatIdx && (